質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

89.69%

Tensorflow-gpuのインストールエラー

解決済

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 1,300

naooni

score 12

Anaconda環境でTensorflow-gpuを使って物体検出(Keras)の学習しようとしていますが、下記のエラーが発生して学習を始められず困っております。

>activate keras36
>import tensorflow as tf
Traceback (most recent call last):
  File "\Anaconda3\envs\keras36\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 58, in <module>
    from tensorflow.python.pywrap_tensorflow_internal import *
  File "\Anaconda3\envs\keras36\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 28, in <module>
    _pywrap_tensorflow_internal = swig_import_helper()
  File "\Anaconda3\envs\keras36\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 24, in swig_import_helper
    _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description)
  File "\Anaconda3\envs\keras36\lib\imp.py", line 243, in load_module
    return load_dynamic(name, filename, file)
  File "\Anaconda3\envs\keras36\lib\imp.py", line 343, in load_dynamic
    return _load(spec)
ImportError: DLL load failed: 指定されたモジュールが見つかりません。

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "\Anaconda3\envs\keras36\lib\site-packages\tensorflow\__init__.py", line 24, in <module>
    from tensorflow.python import pywrap_tensorflow  # pylint: disable=unused-import
  File "\Anaconda3\envs\keras36\lib\site-packages\tensorflow\python\__init__.py", line 49, in <module>
    from tensorflow.python import pywrap_tensorflow
  File "\Anaconda3\envs\keras36\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 74, in <module>
    raise ImportError(msg)
ImportError: Traceback (most recent call last):
  File "\Anaconda3\envs\keras36\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 58, in <module>
    from tensorflow.python.pywrap_tensorflow_internal import *
  File "\Anaconda3\envs\keras36\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 28, in <module>
    _pywrap_tensorflow_internal = swig_import_helper()
  File "\Anaconda3\envs\keras36\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 24, in swig_import_helper
    _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description)
  File "\Anaconda3\envs\keras36\lib\imp.py", line 243, in load_module
    return load_dynamic(name, filename, file)
  File "\Anaconda3\envs\keras36\lib\imp.py", line 343, in load_dynamic
    return _load(spec)
ImportError: DLL load failed: 指定されたモジュールが見つかりません。


Failed to load the native TensorFlow runtime.

See https://www.tensorflow.org/install/errors

for some common reasons and solutions.  Include the entire stack trace
above this error message when asking for help.


環境は下記のとおりです。

OS : Windows 10 Pro 64bit 1809
GPU : NVIDIA Quadro P600 (ドライバ:25.21.14.1881)
Anaconda : 201812 Python3.7 64bit
Anaconda Navigator : 1.9.6

Visual Studio : Professional 2017 (Version 15.9.3)
Microsoft .NET Framework : 4.7.03190
Microsoft Visual C++ 2017 Redistributable (x64) : 14.16.27012
Microsoft Visual C++ 2017 Redistributable (x86) : 14.16.27012

CUDA Toolkit : 9.0.176.4
cuDNN : 7.4.2.24
>conda list
# Name                    Version                   Build  Channel
absl-py                   0.7.0                     <pip>
astor                     0.7.1                     <pip>
certifi                   2018.11.29               py36_0
cycler                    0.10.0                    <pip>
gast                      0.2.2                     <pip>
grpcio                    1.18.0                    <pip>
h5py                      2.9.0                     <pip>
Keras                     1.2.2                     <pip>
Keras-Applications        1.0.7                     <pip>
Keras-Preprocessing       1.0.9                     <pip>
kiwisolver                1.0.1                     <pip>
Markdown                  3.0.1                     <pip>
matplotlib                3.0.2                     <pip>
numpy                     1.16.1+mkl                <pip>
opencv-python             4.0.0.21                  <pip>
Pillow                    5.4.1                     <pip>
pip                       19.0.1                   py36_0
protobuf                  3.6.1                     <pip>
pyparsing                 2.3.1                     <pip>
python                    3.6.8                h9f7ef89_1
python-dateutil           2.8.0                     <pip>
PyYAML                    3.13                      <pip>
scipy                     1.2.1                     <pip>
setuptools                40.8.0                    <pip>
setuptools                40.8.0                   py36_0
six                       1.12.0                    <pip>
sqlite                    3.26.0               he774522_0
tensorboard               1.12.2                    <pip>
tensorflow-gpu            1.12.0                    <pip>
termcolor                 1.1.0                     <pip>
Theano                    1.0.4                     <pip>
vc                        14.1                 h0510ff6_4
vs2015_runtime            14.15.26706          h3a45250_0
Werkzeug                  0.14.1                    <pip>
wheel                     0.32.3                   py36_0
wheel                     0.33.1                    <pip>
wincertstore              0.2              py36h7fe50ca_0

ちなみにPython3.5で構築しなおしましたがエラー内容は変わりませんでした。

>conda list
# Name                    Version                   Build  Channel
absl-py                   0.7.0                     <pip>
astor                     0.7.1                     <pip>
certifi                   2018.8.24                py35_1
cycler                    0.10.0                    <pip>
gast                      0.2.2                     <pip>
grpcio                    1.18.0                    <pip>
h5py                      2.9.0                     <pip>
Keras                     1.2.2                     <pip>
Keras-Applications        1.0.7                     <pip>
Keras-Preprocessing       1.0.9                     <pip>
kiwisolver                1.0.1                     <pip>
Markdown                  3.0.1                     <pip>
matplotlib                3.0.2                     <pip>
numpy                     1.15.4+mkl                <pip>
opencv-python             4.0.0.21                  <pip>
Pillow                    5.4.1                     <pip>
pip                       10.0.1                   py35_0
pip                       19.0.3                    <pip>
protobuf                  3.6.1                     <pip>
pyparsing                 2.3.1                     <pip>
python                    3.5.6                he025d50_0
python-dateutil           2.8.0                     <pip>
PyYAML                    3.13                      <pip>
scipy                     1.2.0                     <pip>
setuptools                40.2.0                   py35_0
setuptools                40.8.0                    <pip>
six                       1.12.0                    <pip>
tensorboard               1.12.2                    <pip>
tensorflow-gpu            1.12.0                    <pip>
termcolor                 1.1.0                     <pip>
Theano                    1.0.4                     <pip>
vc                        14.1                 h0510ff6_4
vs2015_runtime            14.15.26706          h3a45250_0
Werkzeug                  0.14.1                    <pip>
wheel                     0.31.1                   py35_0
wheel                     0.33.1                    <pip>
wincertstore              0.2              py35hfebbdb8_0

不足している情報などありましたらご連絡ください。
よろしくお願いいたします。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • tiitoi

    2019/02/22 02:14

    CUDAとCuDNN のバージョンは問題ないような気がしますが、なんででしょうかね
    少し調べたら3.5ならできたという情報を見たので、試しに Anaconda で 3.5環境作って、tensorflow-gpu を pip で入れて使えるか試されてはどうでしょうか

    キャンセル

  • naooni

    2019/02/22 12:59

    コメントありがとうございます。追記しました。
    Python3.5でも変わりませんでした。。

    キャンセル

  • tiitoi

    2019/02/22 13:12

    たぶん、この手のエラーは CUDA、CuDNN のバージョンの関係だと思うのですが、当方 Windows で TensorFlow を使ったことがないのでわからないです。すみません。
    「Failed to load the native TensorFlow runtime.」で検索するといろいろと出てきますが、どれが正解なのかはこちらではわからないですね。

    キャンセル

  • naooni

    2019/02/22 13:28

    ありがとうございます。調べてみます。

    キャンセル

回答 1

check解決した方法

0

自己解決しました。

CUDA Toolkit 9.0の導入時、「Patch 4」だけを当てており、「Base Installer」が入っていなかったことが原因でした。
一旦プログラムの追加と削除に表示されていたCUDA関連を全部アンインストールし、「Base Installer」→「Patch 4」の順番でインストールした結果、import tensorflow が成功するようになりました。

元々、コマンドプロンプトで
>nvcc -V
が動作せず、この時点で気づくべきでした。
こちらも同様に解消しています。

Kerasの学習でcuDNNのエラーが出ていたりしますが、質問内容については解消したのでクローズします。
ありがとうございました。

投稿

編集

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 89.69%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

同じタグがついた質問を見る